SMSContentUtil
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.util
Class SMSContentUtil

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.util.SMSContentUtil

    public class SMSContentUtil

extends java.lang.Object

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`SMSContentUtil()`

Method Summary
`static java.io.InputStream` | `getContent(GCUBEScope scope, java.lang.String oid, GCUBESecurityManager... securityManagers)`
`static SMSPortType1PortType` | `getStorageManagementPortType1(GCUBEScope scope, GCUBESecurityManager securityManager)`
`static java.lang.String` | `uploadContent(GCUBEScope scope, java.io.InputStream is, GCUBESecurityManager... securityManagers)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMSContentUtil

    public SMSContentUtil()

Method Detail

### uploadContent

    public static java.lang.String uploadContent(GCUBEScope scope,
                                                 java.io.InputStream is,
                                                 GCUBESecurityManager... securityManagers)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getContent

    public static java.io.InputStream getContent(GCUBEScope scope,
                                                 java.lang.String oid,
                                                 GCUBESecurityManager... securityManagers)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getStorageManagementPortType1

    public static SMSPortType1PortType getStorageManagementPortType1(GCUBEScope scope,
                                                                     GCUBESecurityManager securityManager)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD